<?xml version="1.0" encoding="UTF-8"?>
<workbench progressCount="22" version="2.0">
<workbenchAdvisor/>
<window height="768" maximized="true" width="1024" x="813" y="110">
<fastViewData fastViewLocation="1024"/>
<perspectiveBar>
<itemSize x="160"/>
</perspectiveBar>
<coolbarLayout>
<coolItem id="group.file" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.file" itemType="typeToolBarContribution" x="155" y="22"/>
<coolItem id="additions" itemType="typeGroupMarker"/>
<coolItem id="com.chipon.chiponide.ui.toolbar2" itemType="typeToolBarContribution" x="38" y="22"/>
<coolItem id="com.chipon.chiponide.ui.toolbar.common" itemType="typeToolBarContribution" x="84" y="22"/>
<coolItem id="com.chipon.chiponide.ui.toolbar1" itemType="typeToolBarContribution" x="38" y="22"/>
<coolItem id="org.eclipse.cdt.ui.CElementCreationActionSet" itemType="typeToolBarContribution" x="135" y="22"/>
<coolItem id="org.eclipse.cdt.ui.buildConfigActionSet" itemType="typeToolBarContribution" x="93" y="22"/>
<coolItem id="org.eclipse.debug.ui.launchActionSet" itemType="typeToolBarContribution" x="95" y="22"/>
<coolItem id="org.eclipse.search.searchActionSet" itemType="typeToolBarContribution" x="78" y="22"/>
<coolItem id="org.eclipse.ui.edit.text.actionSet.presentation" itemType="typeToolBarContribution" x="84" y="22"/>
<coolItem id="group.nav" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.navigate" itemType="typeToolBarContribution" x="198" y="22"/>
<coolItem id="group.editor" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.compare.CompareEditor" itemType="typePlaceholder" x="84" y="22"/>
<coolItem id="org.eclipse.cdt.ui.editor.CEditor" itemType="typeToolBarContribution" x="-1" y="-1"/>
<coolItem id="group.help" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.help" itemType="typeToolBarContribution" x="-1" y="-1"/>
</coolbarLayout>
<page aggregateWorkingSetId="Aggregate for window 1461895339087" focus="true" label="工作空间 － KungFu项目">
<editors>
<editorArea activeWorkbook="DefaultEditorWorkbook">
<info part="DefaultEditorWorkbook">
<folder appearance="1" expanded="2">
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
<part id="2"/>
<part id="3"/>
<part id="4"/>
<part id="5"/>
<part id="6"/>
<part id="7"/>
<part id="8"/>
</presentation>
</folder>
</info>
</editorArea>
<editor activePart="true" focus="true" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8ts27_touch_s.c" partName="kf8ts27_touch_s.c" path="D:/卢恒洋/触摸按键资料/触摸Touch NewDemo V2.67程序（外发版）/KF8TS滑轮滑条参考程序/KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s.c" title="kf8ts27_touch_s.c" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s.c"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="3619" selectionTopPixel="1085"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="LCD_show.h" partName="LCD_show.h" path="D:/卢恒洋/触摸按键资料/触摸Touch NewDemo V2.67程序（外发版）/KF8TS滑轮滑条参考程序/KF8TS_Slide_Touch_Demo_2716_V2.0/LCD_show.h" title="LCD_show.h" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/LCD_show.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/LCD_show.h"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="2016" selectionTopPixel="780"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="main.c" partName="main.c" path="D:/卢恒洋/触摸按键资料/触摸Touch NewDemo V2.67程序（外发版）/KF8TS滑轮滑条参考程序/KF8TS_Slide_Touch_Demo_2716_V2.0/main.c" title="main.c" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/main.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/main.c"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="3217" selectionTopPixel="1635"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="init_mcu.c" partName="init_mcu.c" path="D:/卢恒洋/触摸按键资料/触摸Touch NewDemo V2.67程序（外发版）/KF8TS滑轮滑条参考程序/KF8TS_Slide_Touch_Demo_2716_V2.0/init_mcu.c" title="init_mcu.c" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/init_mcu.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/init_mcu.c"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="818" selectionTopPixel="270"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="kf8ts27_touch_s.h" partName="kf8ts27_touch_s.h" path="D:/卢恒洋/触摸按键资料/触摸Touch NewDemo V2.67程序（外发版）/KF8TS滑轮滑条参考程序/KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s.h" title="kf8ts27_touch_s.h" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s.h"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="546" selectionTopPixel="770"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="lcd1602.c" partName="lcd1602.c" path="D:/卢恒洋/触摸按键资料/触摸Touch NewDemo V2.67程序（外发版）/KF8TS滑轮滑条参考程序/KF8TS_Slide_Touch_Demo_2716_V2.0/lcd1602.c" title="lcd1602.c" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/lcd1602.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/lcd1602.c"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="1880" selectionTopPixel="1275"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="main.h" partName="main.h" path="D:/卢恒洋/触摸按键资料/触摸Touch NewDemo V2.67程序（外发版）/KF8TS滑轮滑条参考程序/KF8TS_Slide_Touch_Demo_2716_V2.0/main.h" title="main.h" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/main.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/main.h"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="699" selectionTopPixel="80"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="lcd1602.h" partName="lcd1602.h" path="D:/卢恒洋/触摸按键资料/触摸Touch NewDemo V2.67程序（外发版）/KF8TS滑轮滑条参考程序/KF8TS_Slide_Touch_Demo_2716_V2.0/lcd1602.h" title="lcd1602.h" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/lcd1602.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/lcd1602.h"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="367" selectionTopPixel="0"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="kf8ts27_touch_s_lib.c" partName="kf8ts27_touch_s_lib.c" path="D:/卢恒洋/触摸按键资料/触摸Touch NewDemo V2.67程序（外发版）/KF8TS滑轮滑条参考程序/KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s_lib.c" title="kf8ts27_touch_s_lib.c" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s_lib.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s_lib.c"/>
<editorState selectionHorizontalPixel="177" selectionLength="0" selectionOffset="83861" selectionTopPixel="34950"/>
</editor>
</editors>
<views>
<view id="org.eclipse.team.ui.GenericHistoryView" partName="历史记录">
<viewState/>
</view>
<view id="com.chipon.chiponide.ui.view.chiponview" partName="芯片信息"/>
<view id="org.eclipse.ui.navigator.ProjectExplorer" partName="项目资源管理器">
<viewState CommonNavigator.LINKING_ENABLED="0" org.eclipse.cdt.ui.cview.groupincludes="false" org.eclipse.cdt.ui.cview.groupmacros="false" org.eclipse.cdt.ui.editor.CUChildren="true" org.eclipse.ui.navigator.resources.workingSets.showTopLevelWorkingSets="0"/>
</view>
<view id="com.chipon.chiponide.ui.views.ProgramUtilization" partName="资源使用率">
<viewState/>
</view>
<view id="org.eclipse.cdt.make.ui.views.MakeView" partName="Make 目标"/>
<view id="org.eclipse.ui.views.ProblemView" partName="问题">
<viewState PRIMARY_SORT_FIELD="org.eclipse.ui.ide.severityAndDescriptionField" categoryGroup="org.eclipse.ui.ide.severity" markerContentGenerator="org.eclipse.ui.ide.problemsGenerator" partName="问题">
<columnWidths org.eclipse.ui.ide.locationField="105" org.eclipse.ui.ide.markerType="105" org.eclipse.ui.ide.pathField="140" org.eclipse.ui.ide.resourceField="105" org.eclipse.ui.ide.severityAndDescriptionField="350"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.severityAndDescriptionField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.resourceField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.pathField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.locationField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.markerType"/>
</viewState>
</view>
<view id="org.eclipse.ui.console.ConsoleView" partName="控制台">
<viewState/>
</view>
<view id="org.eclipse.ui.views.ContentOutline" partName="大纲">
<viewState/>
</view>
</views>
<perspectives activePart="org.eclipse.ui.console.ConsoleView" activePerspective="org.eclipse.cdt.ui.CPerspective">
<perspective editorAreaTrimState="2" editorAreaVisible="1" fixed="0" version="0.016">
<descriptor class="com.chipon.chiponide.ui.PerspectiveFactory.KungFuperspective" id="org.eclipse.cdt.ui.CPerspective" label="KungFu项目"/>
<alwaysOnActionSet id="org.eclipse.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.annotationNavigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.navigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.keyBindings"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.openFiles"/>
<alwaysOnActionSet id="com.chipon.chiponide.ui.updatechipon.actionset"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.SearchActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.CElementCreationActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.NavigateActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.make.ui.makeTargetActionSet"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.launchActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.buildConfigActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.NavigationActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.OpenActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.CodingActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.presentation"/>
<alwaysOnActionSet id="com.chipon.chiponide.ui.OpenHelpDocActionSet"/>
<show_view_action id="org.eclipse.search.ui.views.SearchView"/>
<show_view_action id="org.eclipse.cdt.ui.CView"/>
<show_view_action id="org.eclipse.cdt.make.ui.views.MakeView"/>
<show_view_action id="org.eclipse.ui.navigator.ProjectExplorer"/>
<show_view_action id="org.eclipse.cdt.ui.includeBrowser"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.ConvertToMakeWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewMakeFromExisting"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewCWizard2"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewSourceFolderCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewFolderCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewSourceFileCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewHeaderFileCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewFileCreationWizard"/>
<perspective_action id="org.eclipse.debug.ui.DebugPerspective"/>
<perspective_action id="org.eclipse.team.ui.TeamSynchronizingPerspective"/>
<hide_toolbar_item_id id="org.eclipse.ui.edit.text.toggleShowSelectedElementOnly"/>
<view id="org.eclipse.ui.navigator.ProjectExplorer"/>
<view id="org.eclipse.ui.views.ProblemView"/>
<view id="org.eclipse.ui.console.ConsoleView"/>
<view id="com.chipon.chiponide.ui.view.chiponview"/>
<view id="org.eclipse.team.ui.GenericHistoryView"/>
<view id="com.chipon.chiponide.ui.views.ProgramUtilization"/>
<view id="org.eclipse.ui.views.ContentOutline"/>
<view id="org.eclipse.cdt.make.ui.views.MakeView"/>
<fastViewBars/>
<layout>
<mainWindow>
<info folder="true" part="topLeft">
<folder activePageID="org.eclipse.ui.navigator.ProjectExplorer" appearance="2" expanded="2">
<page content="org.eclipse.ui.navigator.ProjectExplorer" label="项目资源管理器"/>
<page content="org.eclipse.cdt.ui.CView" label="LabelNotFound"/>
<page content="org.eclipse.ui.views.ResourceNavigator" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
<info folder="true" part="stickyFolderRight" ratio="0.749499" ratioLeft="748" ratioRight="250" relationship="2" relative="topLeft">
<folder appearance="2" expanded="2">
<page content="org.eclipse.help.ui.HelpView" label="LabelNotFound"/>
<page content="org.eclipse.ui.internal.introview" label="LabelNotFound"/>
</folder>
</info>
<info part="org.eclipse.ui.editorss" ratio="0.1682728" ratioLeft="227" ratioRight="1122" relationship="2" relative="topLeft"/>
<info folder="true" part="bottom" ratio="0.7487844" ratioLeft="462" ratioRight="155" relationship="4" relative="org.eclipse.ui.editorss">
<folder activePageID="org.eclipse.ui.console.ConsoleView" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ProblemView" label="问题"/>
<page content="org.eclipse.ui.console.ConsoleView" label="控制台"/>
<page content="com.chipon.chiponide.ui.view.chiponview" label="芯片信息"/>
<page content="org.eclipse.team.ui.GenericHistoryView" label="历史记录"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
<part id="2"/>
<part id="3"/>
</presentation>
</folder>
</info>
<info folder="true" part="topRight" ratio="0.6347555" ratioLeft="610" ratioRight="351" relationship="2" relative="org.eclipse.ui.editorss">
<folder activePageID="org.eclipse.ui.views.ContentOutline" appearance="2" expanded="2">
<page content="com.chipon.chiponide.ui.views.ProgramUtilization" label="资源使用率"/>
<page content="org.eclipse.ui.views.ContentOutline" label="大纲"/>
<page content="org.eclipse.cdt.make.ui.views.MakeView" label="Make 目标"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
<part id="2"/>
</presentation>
</folder>
</info>
</mainWindow>
</layout>
</perspective>
</perspectives>
<workingSets/>
<navigationHistory>
<editors>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/LCD_show.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/main.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/lcd1602.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/main.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s_lib.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s.c"/>
</editors>
<item historyLabel="LCD_show.h" index="1">
<position info="not_deleted" x="2019" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="2710" y="10"/>
</item>
<item historyLabel="kf8ts27_touch_s.c" index="0">
<position info="not_deleted" x="3771" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="2710" y="10"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="2728" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="927" y="0"/>
</item>
<item historyLabel="main.h" index="4">
<position info="not_deleted" x="699" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="3269" y="0"/>
</item>
<item historyLabel="LCD_show.h" index="1">
<position info="not_deleted" x="2019" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="3269" y="0"/>
</item>
<item historyLabel="LCD_show.h" index="1">
<position info="not_deleted" x="1930" y="15"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="3271" y="0"/>
</item>
<item historyLabel="LCD_show.h" index="1">
<position info="not_deleted" x="2077" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="2704" y="385"/>
</item>
<item historyLabel="LCD_show.h" index="1">
<position info="not_deleted" x="1967" y="0"/>
</item>
<item historyLabel="lcd1602.c" index="3">
<position info="not_deleted" x="1685" y="19"/>
</item>
<item historyLabel="lcd1602.c" index="3">
<position info="not_deleted" x="1750" y="0"/>
</item>
<item historyLabel="lcd1602.c" index="3">
<position info="not_deleted" x="964" y="0"/>
</item>
<item historyLabel="LCD_show.h" index="1">
<position info="not_deleted" x="1967" y="0"/>
</item>
<item historyLabel="lcd1602.c" index="3">
<position info="not_deleted" x="1880" y="0"/>
</item>
<item historyLabel="LCD_show.h" index="1">
<position info="not_deleted" x="1978" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="2979" y="0"/>
</item>
<item historyLabel="LCD_show.h" index="1">
<position info="not_deleted" x="2019" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="3272" y="0"/>
</item>
<item historyLabel="LCD_show.h" index="1">
<position info="not_deleted" x="2022" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="3270" y="0"/>
</item>
<item historyLabel="LCD_show.h" index="1">
<position info="not_deleted" x="1897" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="3039" y="31"/>
</item>
<item historyLabel="lcd1602.c" index="3">
<position info="not_deleted" x="1880" y="0"/>
</item>
<item historyLabel="LCD_show.h" index="1">
<position info="not_deleted" x="1818" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="2594" y="29"/>
</item>
<item historyLabel="kf8ts27_touch_s_lib.c" index="5">
<position info="not_deleted" x="605" y="0"/>
</item>
<item historyLabel="kf8ts27_touch_s.c" index="0">
<position info="not_deleted" x="4757" y="29"/>
</item>
<item historyLabel="kf8ts27_touch_s_lib.c" index="5">
<position info="not_deleted" x="83861" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="2845" y="0"/>
</item>
<item historyLabel="kf8ts27_touch_s.c" index="0">
<position info="not_deleted" x="4691" y="28"/>
</item>
<item historyLabel="LCD_show.h" index="1">
<position info="not_deleted" x="2016" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="3039" y="28"/>
</item>
<item historyLabel="kf8ts27_touch_s.c" index="0">
<position info="not_deleted" x="4757" y="29"/>
</item>
<item historyLabel="LCD_show.h" index="1">
<position info="not_deleted" x="2016" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="3170" y="0"/>
</item>
<item historyLabel="kf8ts27_touch_s.c" index="0">
<position info="not_deleted" x="3472" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="3170" y="0"/>
</item>
<item historyLabel="kf8ts27_touch_s.c" index="0">
<position info="not_deleted" x="3767" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="3272" y="0"/>
</item>
<item historyLabel="LCD_show.h" index="1">
<position info="not_deleted" x="2016" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="3029" y="0"/>
</item>
<item historyLabel="kf8ts27_touch_s.c" index="0">
<position info="not_deleted" x="3757" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="3029" y="0"/>
</item>
<item active="true" historyLabel="kf8ts27_touch_s.c" index="6">
<position info="not_deleted" x="3759" y="0"/>
</item>
</navigationHistory>
<input factoryID="org.eclipse.ui.internal.model.ResourceFactory" path="/" type="8"/>
</page>
<workbenchWindowAdvisor/>
<actionBarAdvisor/>
<trimLayout>
<trimArea IMemento.internal.id="128">
<trimItem IMemento.internal.id="org.eclipse.ui.internal.WorkbenchWindow.topBar"/>
</trimArea>
<trimArea IMemento.internal.id="1024">
<trimItem IMemento.internal.id="org.eclise.ui.internal.FastViewBar"/>
<trimItem IMemento.internal.id="org.eclipse.jface.action.StatusLineManager"/>
<trimItem IMemento.internal.id="org.eclipse.ui.internal.progress.ProgressRegion"/>
</trimArea>
</trimLayout>
</window>
<mruList>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8ts27_touch_s_lib.c" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s_lib.c">
<persistable path="/KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s_lib.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="lcd1602.h" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/lcd1602.h">
<persistable path="/KF8TS_Slide_Touch_Demo_2716_V2.0/lcd1602.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="main.h" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/main.h">
<persistable path="/KF8TS_Slide_Touch_Demo_2716_V2.0/main.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="lcd1602.c" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/lcd1602.c">
<persistable path="/KF8TS_Slide_Touch_Demo_2716_V2.0/lcd1602.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8ts27_touch_s.h" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s.h">
<persistable path="/KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="init_mcu.c" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/init_mcu.c">
<persistable path="/KF8TS_Slide_Touch_Demo_2716_V2.0/init_mcu.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="main.c" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/main.c">
<persistable path="/KF8TS_Slide_Touch_Demo_2716_V2.0/main.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="LCD_show.h" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/LCD_show.h">
<persistable path="/KF8TS_Slide_Touch_Demo_2716_V2.0/LCD_show.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="kf8ts27_touch_s.c" tooltip="KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s.c">
<persistable path="/KF8TS_Slide_Touch_Demo_2716_V2.0/kf8ts27_touch_s.c"/>
</file>
</mruList>
</workbench>